NX Open C++ Reference Guide
|
PDW insert auxiliary builder to design various auxiliaries of insert group <br> To create a new instance of this class, use @link Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CircOperationTypes { CircOperationTypesCreate, CircOperationTypesEdit, CircOperationTypesDelete } |
Specifies the options of circular array. More... | |
enum | DesignToolOption { DesignToolOptionCopy, DesignToolOptionArray, DesignToolOptionDelete } |
Specifies the design tool option. More... | |
enum | RectOperationOption { RectOperationOptionCreate, RectOperationOptionEdit, RectOperationOptionDelete } |
Specifies the rectangular array option. More... | |
enum | ShankShapeTypes { ShankShapeTypesFlange, ShankShapeTypesRamp, ShankShapeTypesHeel } |
Specifies the shank shape. More... | |
enum | Types { TypesInsertShank, TypesPunchMount, TypesTools } |
Specifies the insert auxiliary type. More... | |
Public Member Functions | |
double | BottomPlateClearance () |
Returns the bottom plate clearance. | |
bool | CircDeleteAllComponents () |
Returns the option to delete all components in circular array. | |
NXOpen::SelectBody * | CircularInsert () |
Returns the insert to do circular array. | |
NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes | CircularOperation () |
Returns the circular array operation. | |
NXOpen::Direction * | CircularVector () |
Returns the specified vector for defining circular array axis. | |
double | ClearanceValue () |
Returns the clearance value. | |
NXOpen::Point * | ControlPoint () |
Returns the control point for the copy operation. | |
NXOpen::SelectBodyList * | CopySelectInsert () |
Returns the insert to be copied. | |
void | DesignMountHead () |
Design mount head for insert. | |
NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption | DesignTool () |
Returns the design tool. | |
NXOpen::Point * | DestinationPoint () |
Returns the destination point for the copy operation. | |
NXOpen::ScCollector * | FaceForRamp () |
Returns the sweep face for editing ramp. | |
NXOpen::Expression * | FalseBodyHeight () |
Returns the false body height. | |
double | HeelHeight () |
Returns the heel height. | |
double | HeelLength () |
Returns the heel length. | |
double | HeelRadian () |
Returns the heel radius. | |
double | HeelWidth () |
Returns the heel width. | |
NXOpen::SelectEdge * | InsertEdge () |
Returns the insert edge. | |
NXOpen::ScCollector * | InsertShankFace () |
Returns the insert shank face. | |
NXOpen::SelectBodyList * | InsertsToDelete () |
Returns the insert objects to be deleted. | |
NXOpen::SelectEdge * | MountPunchEdge () |
Returns the punch edge to place the mount. | |
NXOpen::ScCollector * | MountPunchFace () |
Returns the punch face to place the mount. | |
double | OffsetAngle () |
Returns the offset angle of circular array. | |
double | OffsetX () |
Returns the offset value along X. | |
double | OffsetY () |
Returns the offset value along Y. | |
NXOpen::Point * | PointForRamp () |
Returns the tangent point for the sweep guide curve Created in NX7.5.0. | |
NXOpen::SelectBody * | Punch () |
Returns the selected punch. | |
NXOpen::SelectEdge * | PunchEdge () |
Returns the punch edge. | |
double | PunchPlateClearance () |
Returns the punch plate clearance. | |
NXOpen::ScCollector * | PunchShankFace () |
Returns the punch shank. | |
double | PunchShankParaC () |
Returns the punch shank parameter for clearance between true body and false body. | |
double | PunchShankParaFL () |
Returns the punch shank parameter false body height. | |
double | PunchShankParaL1 () |
Returns the punch shank parameter for true body and false body length. | |
double | PunchShankParaLength () |
Returns the punch shank parameter length. | |
double | PunchShankParaPL () |
Returns the punch shank parameter for true body height. | |
double | PunchShankParaR () |
Returns the punch shank parameter for true body radius. | |
double | PunchShankParaWidth () |
Returns the punch shank parameter width. | |
NXOpen::Expression * | RadiusForRamp () |
Returns the the sweep guide curve radius. | |
NXOpen::Expression * | RampShankHeight () |
Returns the ramp shank height. | |
NXOpen::SelectBody * | RectangularInsert () |
Returns the insert to do rectangular array . | |
NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption | RectangularOperation () |
Returns the rectangular array operation. | |
NXOpen::Direction * | RectangularXVector () |
Returns the X vector for rectangular array. | |
NXOpen::Direction * | RectangularYVector () |
Returns the Y vector for rectangular array. | |
bool | RectDeleteAllComponents () |
Returns the option to delete all components in rectangular array. | |
NXOpen::Section * | SelectShankProfile () |
Returns the selected shank profile. | |
void | SetBottomPlateClearance (double bottomPlateClr) |
Sets the bottom plate clearance. | |
void | SetCircDeleteAllComponents (bool circDeleteAllComponents) |
Sets the option to delete all components in circular array. | |
void | SetCircularOperation (NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes circOperationType) |
Sets the circular array operation. | |
void | SetCircularVector (NXOpen::Direction *circSpecifyVector) |
Sets the specified vector for defining circular array axis. | |
void | SetClearanceValue (double clearanceValue) |
Sets the clearance value. | |
void | SetControlPoint (NXOpen::Point *specifyControlPoint) |
Sets the control point for the copy operation. | |
void | SetDesignTool (NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption designTool) |
Sets the design tool. | |
void | SetDestinationPoint (NXOpen::Point *specifyDestinationPoint) |
Sets the destination point for the copy operation. | |
void | SetHeelHeight (double heelHeight) |
Sets the heel height. | |
void | SetHeelLength (double heelLength) |
Sets the heel length. | |
void | SetHeelRadian (double heelRadian) |
Sets the heel radius. | |
void | SetHeelWidth (double heelWidth) |
Sets the heel width. | |
void | SetOffsetAngle (double offsetAngle) |
Sets the offset angle of circular array. | |
void | SetOffsetX (double offsetX) |
Sets the offset value along X. | |
void | SetOffsetY (double offsetY) |
Sets the offset value along Y. | |
void | SetPointForRamp (NXOpen::Point *pointForRamp) |
Sets the tangent point for the sweep guide curve Created in NX7.5.0. | |
void | SetPunchPlateClearance (double punchPlateClr) |
Sets the punch plate clearance. | |
void | SetPunchShankParaC (double punchShankParaC) |
Sets the punch shank parameter for clearance between true body and false body. | |
void | SetPunchShankParaFL (double punchShankParaFL) |
Sets the punch shank parameter false body height. | |
void | SetPunchShankParaL1 (double punchShankParaL1) |
Sets the punch shank parameter for true body and false body length. | |
void | SetPunchShankParaLength (double punchShankParaL) |
Sets the punch shank parameter length. | |
void | SetPunchShankParaPL (double punchShankParaPL) |
Sets the punch shank parameter for true body height. | |
void | SetPunchShankParaR (double punchShankParaR) |
Sets the punch shank parameter for true body radius. | |
void | SetPunchShankParaWidth (double punchShankParaW) |
Sets the punch shank parameter width. | |
void | SetRectangularOperation (NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption rectOperationType) |
Sets the rectangular array operation. | |
void | SetRectangularXVector (NXOpen::Direction *rectSpecifyVectorX) |
Sets the X vector for rectangular array. | |
void | SetRectangularYVector (NXOpen::Direction *rectSpecifyVectorY) |
Sets the Y vector for rectangular array. | |
void | SetRectDeleteAllComponents (bool rectDeleteAllComponents) |
Sets the option to delete all components in rectangular array. | |
void | SetShankShape (NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes shankShape) |
Sets the shank shape. | |
void | SetStripperPlateClearance (double stripperPlateClr) |
Sets the stripper plate clearance. | |
void | SetTotalAlongX (int totalNumberX) |
Sets the total number of insert along X. | |
void | SetTotalAlongY (int totalNumberY) |
Sets the total number of insert along Y. | |
void | SetTotalNumber (int totalNumber) |
Sets the total number of insert for circular array. | |
void | SetType (NXOpen::Tooling::InsertAuxiliaryBuilder::Types type) |
Sets the insert auxiliary type. | |
void | SetUseBottomPlateClearance (bool useBPClearance) |
Sets the option to use bottoming plate clearance. | |
void | SetUseClearance (bool useClearance) |
Sets the option to use clearance. | |
void | SetUsePunchPlateClearance (bool usePPClearance) |
Sets the option to use punch plate clearance. | |
void | SetUseStripperPlateClearance (bool useSPClearance) |
Sets the option to stripper plate clearance. | |
void | SetVectorForRamp (NXOpen::Direction *vectorForRamp) |
Sets the vector to determintate the datum plane normal that the sweep guide curve in. | |
NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes | ShankShape () |
Returns the shank shape. | |
NXOpen::ScCollector * | ShanksToDelete () |
Returns the faces of those to be deleted shanks. | |
double | StripperPlateClearance () |
Returns the stripper plate clearance. | |
int | TotalAlongX () |
Returns the total number of insert along X. | |
int | TotalAlongY () |
Returns the total number of insert along Y. | |
int | TotalNumber () |
Returns the total number of insert for circular array. | |
NXOpen::Tooling::InsertAuxiliaryBuilder::Types | Type () |
Returns the insert auxiliary type. | |
bool | UseBottomPlateClearance () |
Returns the option to use bottoming plate clearance. | |
bool | UseClearance () |
Returns the option to use clearance. | |
bool | UsePunchPlateClearance () |
Returns the option to use punch plate clearance. | |
bool | UseStripperPlateClearance () |
Returns the option to stripper plate clearance. | |
NXOpen::Direction * | VectorForRamp () |
Returns the vector to determintate the datum plane normal that the sweep guide curve in. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
PDW insert auxiliary builder to design various auxiliaries of insert group <br> To create a new instance of this class, use @link Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BottomPlateClearance |
0 |
CircDeleteAllComponents |
0 |
CircularOperation |
Create |
ClearanceValue |
1 |
DesignTool |
Copy |
FalseBodyHeight.Value |
0 (millimeters part), 0 (inches part) |
HeelHeight |
5 |
HeelLength |
10 |
HeelRadian |
1 |
HeelWidth |
5 |
OffsetAngle |
0 |
OffsetX |
0 |
OffsetY |
0 |
PunchPlateClearance |
0 |
PunchShankParaC |
1 |
PunchShankParaFL |
45 |
PunchShankParaL1 |
6 |
PunchShankParaLength |
8 |
PunchShankParaPL |
40 |
PunchShankParaR |
13 |
PunchShankParaWidth |
8 |
RampShankHeight.Value |
0 (millimeters part), 0 (inches part) |
RectDeleteAllComponents |
0 |
RectangularOperation |
Create |
ShankShape |
Flange |
StripperPlateClearance |
0 |
TotalAlongX |
1 |
TotalAlongY |
1 |
TotalNumber |
1 |
UseBottomPlateClearance |
0 |
UseClearance |
1 |
UsePunchPlateClearance |
0 |
UseStripperPlateClearance |
0 |
Created in NX7.5.0.
double NXOpen::Tooling::InsertAuxiliaryBuilder::BottomPlateClearance | ( | ) |
Returns the bottom plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::CircDeleteAllComponents | ( | ) |
Returns the option to delete all components in circular array.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::CircularInsert | ( | ) |
Returns the insert to do circular array.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes NXOpen::Tooling::InsertAuxiliaryBuilder::CircularOperation | ( | ) |
Returns the circular array operation.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::CircularVector | ( | ) |
Returns the specified vector for defining circular array axis.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::ClearanceValue | ( | ) |
Returns the clearance value.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::ControlPoint | ( | ) |
Returns the control point for the copy operation.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::InsertAuxiliaryBuilder::CopySelectInsert | ( | ) |
Returns the insert to be copied.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::InsertAuxiliaryBuilder::DesignMountHead | ( | ) |
Design mount head for insert.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption NXOpen::Tooling::InsertAuxiliaryBuilder::DesignTool | ( | ) |
Returns the design tool.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::DestinationPoint | ( | ) |
Returns the destination point for the copy operation.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::FaceForRamp | ( | ) |
Returns the sweep face for editing ramp.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::FalseBodyHeight | ( | ) |
Returns the false body height.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelHeight | ( | ) |
Returns the heel height.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelLength | ( | ) |
Returns the heel length.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelRadian | ( | ) |
Returns the heel radius.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelWidth | ( | ) |
Returns the heel width.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertEdge | ( | ) |
Returns the insert edge.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertShankFace | ( | ) |
Returns the insert shank face.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertsToDelete | ( | ) |
Returns the insert objects to be deleted.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::MountPunchEdge | ( | ) |
Returns the punch edge to place the mount.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::MountPunchFace | ( | ) |
Returns the punch face to place the mount.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetAngle | ( | ) |
Returns the offset angle of circular array.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetX | ( | ) |
Returns the offset value along X.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetY | ( | ) |
Returns the offset value along Y.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::PointForRamp | ( | ) |
Returns the tangent point for the sweep guide curve
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::Punch | ( | ) |
Returns the selected punch.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::PunchEdge | ( | ) |
Returns the punch edge.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchPlateClearance | ( | ) |
Returns the punch plate clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankFace | ( | ) |
Returns the punch shank.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaC | ( | ) |
Returns the punch shank parameter for clearance between true body and false body.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaFL | ( | ) |
Returns the punch shank parameter false body height.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaL1 | ( | ) |
Returns the punch shank parameter for true body and false body length.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaLength | ( | ) |
Returns the punch shank parameter length.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaPL | ( | ) |
Returns the punch shank parameter for true body height.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaR | ( | ) |
Returns the punch shank parameter for true body radius.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaWidth | ( | ) |
Returns the punch shank parameter width.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::RadiusForRamp | ( | ) |
Returns the the sweep guide curve radius.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::RampShankHeight | ( | ) |
Returns the ramp shank height.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularInsert | ( | ) |
Returns the insert to do rectangular array .
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularOperation | ( | ) |
Returns the rectangular array operation.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularXVector | ( | ) |
Returns the X vector for rectangular array.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularYVector | ( | ) |
Returns the Y vector for rectangular array.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::RectDeleteAllComponents | ( | ) |
Returns the option to delete all components in rectangular array.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::InsertAuxiliaryBuilder::SelectShankProfile | ( | ) |
Returns the selected shank profile.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetBottomPlateClearance | ( | double | bottomPlateClr | ) |
Sets the bottom plate clearance.
Created in NX7.5.0.
License requirements : None
bottomPlateClr | bottomplateclr |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircDeleteAllComponents | ( | bool | circDeleteAllComponents | ) |
Sets the option to delete all components in circular array.
Created in NX7.5.0.
License requirements : None
circDeleteAllComponents | circdeleteallcomponents |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircularOperation | ( | NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes | circOperationType | ) |
Sets the circular array operation.
Created in NX7.5.0.
License requirements : None
circOperationType | circoperationtype |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircularVector | ( | NXOpen::Direction * | circSpecifyVector | ) |
Sets the specified vector for defining circular array axis.
Created in NX7.5.0.
License requirements : None
circSpecifyVector | circspecifyvector |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetClearanceValue | ( | double | clearanceValue | ) |
Sets the clearance value.
Created in NX7.5.0.
License requirements : None
clearanceValue | clearancevalue |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetControlPoint | ( | NXOpen::Point * | specifyControlPoint | ) |
Sets the control point for the copy operation.
Created in NX7.5.0.
License requirements : None
specifyControlPoint | specifycontrolpoint |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetDesignTool | ( | NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption | designTool | ) |
Sets the design tool.
Created in NX7.5.0.
License requirements : None
designTool | designtool |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetDestinationPoint | ( | NXOpen::Point * | specifyDestinationPoint | ) |
Sets the destination point for the copy operation.
Created in NX7.5.0.
License requirements : None
specifyDestinationPoint | specifydestinationpoint |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelHeight | ( | double | heelHeight | ) |
Sets the heel height.
Created in NX7.5.0.
License requirements : None
heelHeight | heelheight |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelLength | ( | double | heelLength | ) |
Sets the heel length.
Created in NX7.5.0.
License requirements : None
heelLength | heellength |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelRadian | ( | double | heelRadian | ) |
Sets the heel radius.
Created in NX7.5.0.
License requirements : None
heelRadian | heelradian |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelWidth | ( | double | heelWidth | ) |
Sets the heel width.
Created in NX7.5.0.
License requirements : None
heelWidth | heelwidth |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetAngle | ( | double | offsetAngle | ) |
Sets the offset angle of circular array.
Created in NX7.5.0.
License requirements : None
offsetAngle | offsetangle |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetX | ( | double | offsetX | ) |
Sets the offset value along X.
Created in NX7.5.0.
License requirements : None
offsetX | offsetx |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetY | ( | double | offsetY | ) |
Sets the offset value along Y.
Created in NX7.5.0.
License requirements : None
offsetY | offsety |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPointForRamp | ( | NXOpen::Point * | pointForRamp | ) |
Sets the tangent point for the sweep guide curve
Created in NX7.5.0.
License requirements : None
pointForRamp | pointforramp |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchPlateClearance | ( | double | punchPlateClr | ) |
Sets the punch plate clearance.
Created in NX7.5.0.
License requirements : None
punchPlateClr | punchplateclr |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaC | ( | double | punchShankParaC | ) |
Sets the punch shank parameter for clearance between true body and false body.
Created in NX7.5.0.
License requirements : None
punchShankParaC | punchshankparac |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaFL | ( | double | punchShankParaFL | ) |
Sets the punch shank parameter false body height.
Created in NX7.5.0.
License requirements : None
punchShankParaFL | punchshankparafl |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaL1 | ( | double | punchShankParaL1 | ) |
Sets the punch shank parameter for true body and false body length.
Created in NX7.5.0.
License requirements : None
punchShankParaL1 | punchshankparal1 |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaLength | ( | double | punchShankParaL | ) |
Sets the punch shank parameter length.
Created in NX7.5.0.
License requirements : None
punchShankParaL | punchshankparal |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaPL | ( | double | punchShankParaPL | ) |
Sets the punch shank parameter for true body height.
Created in NX7.5.0.
License requirements : None
punchShankParaPL | punchshankparapl |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaR | ( | double | punchShankParaR | ) |
Sets the punch shank parameter for true body radius.
Created in NX7.5.0.
License requirements : None
punchShankParaR | punchshankparar |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaWidth | ( | double | punchShankParaW | ) |
Sets the punch shank parameter width.
Created in NX7.5.0.
License requirements : None
punchShankParaW | punchshankparaw |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularOperation | ( | NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption | rectOperationType | ) |
Sets the rectangular array operation.
Created in NX7.5.0.
License requirements : None
rectOperationType | rectoperationtype |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularXVector | ( | NXOpen::Direction * | rectSpecifyVectorX | ) |
Sets the X vector for rectangular array.
Created in NX7.5.0.
License requirements : None
rectSpecifyVectorX | rectspecifyvectorx |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularYVector | ( | NXOpen::Direction * | rectSpecifyVectorY | ) |
Sets the Y vector for rectangular array.
Created in NX7.5.0.
License requirements : None
rectSpecifyVectorY | rectspecifyvectory |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectDeleteAllComponents | ( | bool | rectDeleteAllComponents | ) |
Sets the option to delete all components in rectangular array.
Created in NX7.5.0.
License requirements : None
rectDeleteAllComponents | rectdeleteallcomponents |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetShankShape | ( | NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes | shankShape | ) |
Sets the shank shape.
Created in NX7.5.0.
License requirements : None
shankShape | shankshape |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetStripperPlateClearance | ( | double | stripperPlateClr | ) |
Sets the stripper plate clearance.
Created in NX7.5.0.
License requirements : None
stripperPlateClr | stripperplateclr |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalAlongX | ( | int | totalNumberX | ) |
Sets the total number of insert along X.
Created in NX7.5.0.
License requirements : None
totalNumberX | totalnumberx |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalAlongY | ( | int | totalNumberY | ) |
Sets the total number of insert along Y.
Created in NX7.5.0.
License requirements : None
totalNumberY | totalnumbery |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalNumber | ( | int | totalNumber | ) |
Sets the total number of insert for circular array.
Created in NX7.5.0.
License requirements : None
totalNumber | totalnumber |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetType | ( | NXOpen::Tooling::InsertAuxiliaryBuilder::Types | type | ) |
Sets the insert auxiliary type.
Created in NX7.5.0.
License requirements : None
type | type |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseBottomPlateClearance | ( | bool | useBPClearance | ) |
Sets the option to use bottoming plate clearance.
Created in NX7.5.0.
License requirements : None
useBPClearance | usebpclearance |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseClearance | ( | bool | useClearance | ) |
Sets the option to use clearance.
Created in NX7.5.0.
License requirements : None
useClearance | useclearance |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUsePunchPlateClearance | ( | bool | usePPClearance | ) |
Sets the option to use punch plate clearance.
Created in NX7.5.0.
License requirements : None
usePPClearance | useppclearance |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseStripperPlateClearance | ( | bool | useSPClearance | ) |
Sets the option to stripper plate clearance.
Created in NX7.5.0.
License requirements : None
useSPClearance | usespclearance |
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetVectorForRamp | ( | NXOpen::Direction * | vectorForRamp | ) |
Sets the vector to determintate the datum plane normal that the sweep guide curve in.
Created in NX7.5.0.
License requirements : None
vectorForRamp | vectorforramp |
NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShape | ( | ) |
Returns the shank shape.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::ShanksToDelete | ( | ) |
Returns the faces of those to be deleted shanks.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::InsertAuxiliaryBuilder::StripperPlateClearance | ( | ) |
Returns the stripper plate clearance.
Created in NX7.5.0.
License requirements : None
int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalAlongX | ( | ) |
Returns the total number of insert along X.
Created in NX7.5.0.
License requirements : None
int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalAlongY | ( | ) |
Returns the total number of insert along Y.
Created in NX7.5.0.
License requirements : None
int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalNumber | ( | ) |
Returns the total number of insert for circular array.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::InsertAuxiliaryBuilder::Types NXOpen::Tooling::InsertAuxiliaryBuilder::Type | ( | ) |
Returns the insert auxiliary type.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseBottomPlateClearance | ( | ) |
Returns the option to use bottoming plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseClearance | ( | ) |
Returns the option to use clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::UsePunchPlateClearance | ( | ) |
Returns the option to use punch plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseStripperPlateClearance | ( | ) |
Returns the option to stripper plate clearance.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::VectorForRamp | ( | ) |
Returns the vector to determintate the datum plane normal that the sweep guide curve in.
Created in NX7.5.0.
License requirements : None